IARRAY_CREATE_SHM(3)

EXPERIMENTAL_FUNC
iarray_create_shm - Create an n-dimensional Intelligent Array in shared memory.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create_shm

(unsigned int type, unsigned int num_dim, CONST char **dim_names, CONST uaddr *dim_lengths, CONST char *elem_name, flag force)

DESCRIPTION
Create an n-dimensional Intelligent Array in shared memory.

type
    The desired type of the data elements. See <-ds_KARMA_DATA_TYPES-> for a list of defined data types.

num_dim
    The number of dimensions the array must have.

dim_names
    The names of the dimensions. If this is NULL, the default names "Axis 0", "Axis 1", etc. are used.

dim_lengths
    The lengths of the dimensions. The first entry in this array and the <<dim_names>> array refers to the most significant dimension (i.e. the dimension with the greatest stride in memory).

elem_name
    The name of the element. If this is NULL, the default name "Data Value" is choosen.

force
    If TRUE the routine will fail if shared memory could not be allocated or is not available, otherwise the routine falls back to ordinary memory if shared memory could not be allocated.

RETURN VALUE
A dynamically allocated intelligent array on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/